: Class FileServer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Configure
Class FileServer

    java.lang.Object
      |
      +--com.mortbay.HTTP.Configure.BaseConfiguration
            |
            +--com.mortbay.HTTP.Configure.FileServer

public class FileServer
extends BaseConfiguration

File serving HTTP configuration This simple HTTP configuration serves files from the current directory.

Version:
  $Revision: 2.6 $ $Date: 1999/09/22 15:08:42 $
Author:
  Greg Wilkins (gregw)

Fields inherited from class com.mortbay.HTTP.Configure.BaseConfiguration
`addresses, attributes, exceptionHandlersMap, httpHandlersMap, listenerClasses, mimeMap, properties`

Constructor Summary
`FileServer()`
`FileServer(int port, java.lang.String directory, boolean allowPut, boolean allowDelete)`

Method Summary
`static void` | `main(java.lang.String[] args)` Sample Main Configures the Dump servlet and starts the server

Methods inherited from class com.mortbay.HTTP.Configure.BaseConfiguration
`addresses, exceptionHandlersMap, getAttribute, getMimeByExtension, getMimeType, getProperties, getProperty, httpHandlersMap, listenerClasses, log, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileServer

    public FileServer()
               throws java.io.IOException

### FileServer

    public FileServer(int port,
                      java.lang.String directory,
                      boolean allowPut,
                      boolean allowDelete)
               throws java.io.IOException

Method Detail

### main

    public static void main(java.lang.String[] args)

  Sample Main Configures the Dump servlet and starts the server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD